[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#553473: marked as done (cabber: depends-on-build-essential-package-without-using-version libc6-dev [build-depends: libc6-dev])

Your message dated Fri, 09 Apr 2010 09:47:43 +0000
with message-id <E1O0AoR-00088h-3R@ries.debian.org>
and subject line Bug#553473: fixed in cabber 0.5.0-test1-3
has caused the Debian Bug report #553473,
regarding cabber: depends-on-build-essential-package-without-using-version libc6-dev [build-depends: libc6-dev]
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

553473: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=553473
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: cabber
Version: 0.4.0-test5-2.1
Severity: serious
User: lintian-maint@debian.org
Usertags: depends-on-build-essential-package-without-using-version

The package declares a depends on a build essential package without
using a versioned depends. Packages do not have to build-depend on any
package included in build-essential. It is the responsibility of
anyone building packages to have all build-essential packages
installed. The only reason for an explicit dependency on a package
included in build-essential is if a particular version of that package
is required, in which case the dependency should include the version.

Refer to Debian Policy Manual section 4.2 (Package relationships) for

Filed as serious, since this will currently have this package
rejected. See
for details.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'oldstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages cabber depends on:
ii  libc6                     2.10.1-3       GNU C Library: Shared libraries
ii  libncurses5               5.7+20090803-2 shared libraries for terminal hand

cabber recommends no packages.

cabber suggests no packages.

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: cabber
Source-Version: 0.5.0-test1-3

We believe that the bug you reported is fixed in the latest version of
cabber, which is due to be installed in the Debian FTP archive:

  to main/c/cabber/cabber_0.5.0-test1-3.debian.tar.gz
  to main/c/cabber/cabber_0.5.0-test1-3.dsc
  to main/c/cabber/cabber_0.5.0-test1-3_amd64.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 553473@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Alexander Reichle-Schmehl <tolimar@debian.org> (supplier of updated cabber package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.8
Date: Fri, 09 Apr 2010 10:11:53 +0200
Source: cabber
Binary: cabber
Architecture: source amd64
Version: 0.5.0-test1-3
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Alexander Reichle-Schmehl <tolimar@debian.org>
 cabber     - easy and basic jabber console client
Closes: 553473
 cabber (0.5.0-test1-3) unstable; urgency=low
   * QA upload.
   * Really remove build-depends on libc6 (Closes: #553473)
 9818f0f60b318bbdf00324be495f67e14c354729 1088 cabber_0.5.0-test1-3.dsc
 2b82285ede5a74ce29014b4a05f91bafa2408e5d 6007 cabber_0.5.0-test1-3.debian.tar.gz
 c44ba2fa0b82e4634cf0e998637406f3890f4606 23210 cabber_0.5.0-test1-3_amd64.deb
 7005f02d8cb9a5ba058341e8ea68225ca0e9acb59851efebc7c97cd0fbfedf2c 1088 cabber_0.5.0-test1-3.dsc
 cdcad8dbac143b28f57b5183e371a6b24a6fe610d9ae9619c7e3bba9285798d4 6007 cabber_0.5.0-test1-3.debian.tar.gz
 f5300e0d0fec5106db072bffa4976b4bea2dadca286b072106c98ae97f7c6b3e 23210 cabber_0.5.0-test1-3_amd64.deb
 72fb2531cab70f22d23f10e526f063e1 1088 net optional cabber_0.5.0-test1-3.dsc
 72f4b50d8c1c55df1398d317ec512fc4 6007 net optional cabber_0.5.0-test1-3.debian.tar.gz
 fb77d56c907ed23d394e575d90480af8 23210 net optional cabber_0.5.0-test1-3_amd64.deb

Version: GnuPG v1.4.10 (GNU/Linux)


--- End Message ---

Reply to: